/* Initialize the NTL module. 
 Currently this enable error catching.
 */
ntl_lib_path="./ntlpari.so";
install(init_ntl,"v",,ntl_lib_path);
init_ntl();

install(ntlfactorff,"GGG",,ntl_lib_path);
addhelp(ntlfactorff,"same as factorff, using NTL");
install(ntlpolrootsff,"GGG",,ntl_lib_path);
addhelp(ntlpolrootsff,"same as polrootsff, using NTL");

install(ntlffinit,"GLDn",,ntl_lib_path);
addhelp(ntlffinit,"(p,n,{v}): Compute an irreducible polynomial (in the variable v) over F_p, using NTL");

install(ntlfactormod,"GG",,ntl_lib_path);
addhelp(ntlfactormod,"(T,p): factor polynomial T over Z/pZ[X] using Berlekamp algorithm, using NTL");

install(ntlfactorcantor,"GG",,ntl_lib_path);
addhelp(ntlfactorcantor,"(T,p): factor polynomial T over Z/pZ[X] using Cantor-Zassenhaus algorithm, using NTL");

install(ntlfactor,"GD0,L,",,ntl_lib_path);
addhelp(ntlfactor,"(P,bnd): factor polynomial T over Z[X], using NTL");

install(ntlfactorial,"L",,ntl_lib_path);
addhelp(ntlfactorial,"(n): compute n!, this is to test ntlpari");

install(ntllllint,"G",,ntl_lib_path);
addhelp(ntllllint,"same as qflll(), using NTL");
install(ntllllfloat_GF,"G",,ntl_lib_path);
addhelp(ntllllfloat_GF,"same as qflll(), using NTL");
install(ntllllfloat_F,"G",,ntl_lib_path);
addhelp(ntllllfloat_F,"same as qflll(), using NTL");
install(ntllllfloat_GX,"G",,ntl_lib_path);
addhelp(ntllllfloat_GX,"same as qflll(), using NTL");
install(ntllllfloat_X,"G",,ntl_lib_path);
addhelp(ntllllfloat_X,"same as qflll(), using NTL");

